Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.core.signaturePattern
Class SignatureFactory

    java.lang.Object
      kieker.monitoring.core.signaturePattern.SignatureFactory

    public final class SignatureFactory

extends Object

This class can be used to create signatures (for example a string containing the whole signature of a method).

Since:
  1.7
Author:
  Bjoern Weissenfels, Jan Waller

Field Summary
`static String` | `COLONS` This constant contains the colons, which are used to separate the elements in the signature.
`static char` | `PATTERN_PREFIX` This constant contains the necessary prefix for patterns.
`static String` | `PATTERN_PREFIX_CPU` Prefix of a cpu signature.
`static String` | `PATTERN_PREFIX_JVM_CL` Prefix of a JVM class loading signature.
`static String` | `PATTERN_PREFIX_JVM_COMPILATION` Prefix of a JVM compilation signature.
`static String` | `PATTERN_PREFIX_JVM_GC` Prefix of a JVM garbage collector signature.
`static String` | `PATTERN_PREFIX_JVM_MEM` Prefix of a JVM memory signature.
`static String` | `PATTERN_PREFIX_JVM_THREADS` Prefix of a JVM threads signature.
`static String` | `PATTERN_PREFIX_JVM_UP_TIME` Prefix of a JVM uptime signature.
`static String` | `PATTERN_PREFIX_MEM_SWAP` Prefix of a memory signature.

Method Summary
`static String` | `createCPUSignature()` Creates a CPU signature.
`static String` | `createCPUSignature(int cpuid)` Creates a cpu signature with a given cpu id.
`static String` | `createJVMClassLoadSignature()` Creates a JVM class loading signature.
`static String` | `createJVMCompilationSignature()` Creates a JVM compilation signature.
`static String` | `createJVMGarbageCollectorSignature()` Creates a JVM garbage collector signature.
`static String` | `createJVMMemSignature()` Creates a JVM Mem signature.
`static String` | `createJVMThreadsSignature()` Creates a JVM threads signature.
`static String` | `createJVMUpTimeSignature()` Creates a JVM uptime signature.
`static String` | `createMemSwapSignature()` Creates a mem swap signature.
`static String` | `createMethodSignature(String[] modList, String retType, String fqName, String method, String[] params, String[] exceptions)` Creates a method signature.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PATTERN_PREFIX

    public static final char PATTERN_PREFIX

  This constant contains the necessary prefix for patterns.

  See Also:
    Constant Field Values

### COLONS

    public static final String COLONS

  This constant contains the colons, which are used to separate the elements in the signature.

  See Also:
    Constant Field Values

### PATTERN_PREFIX_CPU

    public static final String PATTERN_PREFIX_CPU

  Prefix of a cpu signature.

  See Also:
    Constant Field Values

### PATTERN_PREFIX_MEM_SWAP

    public static final String PATTERN_PREFIX_MEM_SWAP

  Prefix of a memory signature.

  See Also:
    Constant Field Values

### PATTERN_PREFIX_JVM_MEM

    public static final String PATTERN_PREFIX_JVM_MEM

  Prefix of a JVM memory signature.

  See Also:
    Constant Field Values

### PATTERN_PREFIX_JVM_CL

    public static final String PATTERN_PREFIX_JVM_CL

  Prefix of a JVM class loading signature.

  See Also:
    Constant Field Values

### PATTERN_PREFIX_JVM_UP_TIME

    public static final String PATTERN_PREFIX_JVM_UP_TIME

  Prefix of a JVM uptime signature.

  See Also:
    Constant Field Values

### PATTERN_PREFIX_JVM_THREADS

    public static final String PATTERN_PREFIX_JVM_THREADS

  Prefix of a JVM threads signature.

  See Also:
    Constant Field Values

### PATTERN_PREFIX_JVM_COMPILATION

    public static final String PATTERN_PREFIX_JVM_COMPILATION

  Prefix of a JVM compilation signature.

  See Also:
    Constant Field Values

### PATTERN_PREFIX_JVM_GC

    public static final String PATTERN_PREFIX_JVM_GC

  Prefix of a JVM garbage collector signature.

  See Also:
    Constant Field Values

Method Detail

### createCPUSignature

    public static String createCPUSignature(int cpuid)

  Creates a cpu signature with a given cpu id.

  Parameters:
    `cpuid` - The id of the cpu.
  Returns:
    A signature for the cpu.

### createCPUSignature

    public static String createCPUSignature()

  Creates a CPU signature.

  Returns:
    The signature.

### createMemSwapSignature

    public static String createMemSwapSignature()

  Creates a mem swap signature.

  Returns:
    The signature.

### createJVMMemSignature

    public static String createJVMMemSignature()

  Creates a JVM Mem signature.

  Returns:
    The signature.

### createJVMClassLoadSignature

    public static String createJVMClassLoadSignature()

  Creates a JVM class loading signature.

  Returns:
    The signature.

### createJVMUpTimeSignature

    public static String createJVMUpTimeSignature()

  Creates a JVM uptime signature.

  Returns:
    The signature.

### createJVMThreadsSignature

    public static String createJVMThreadsSignature()

  Creates a JVM threads signature.

  Returns:
    The signature.

### createJVMCompilationSignature

    public static String createJVMCompilationSignature()

  Creates a JVM compilation signature.

  Returns:
    The signature.

### createJVMGarbageCollectorSignature

    public static String createJVMGarbageCollectorSignature()

  Creates a JVM garbage collector signature.

  Returns:
    The signature.

### createMethodSignature

    public static String createMethodSignature(String[] modList,
                                               String retType,
                                               String fqName,
                                               String method,
                                               String[] params,
                                               String[] exceptions)
                                        throws InvalidPatternException

  Creates a method signature.

  Parameters:
    `modList` - List of modifiers in the following order: 1. public, protected, private, package 2. abstract, non_abstract 3. static, non_static 4. final, non_final 5. synchronized, non_synchronized 6. native, non_native One or none of each sub-point is allowed. Null or empty list stands for any modifiers.
    `retType` - Primitive type ,fully qualified class name or pattern.
    `fqName` - Fully qualified class name or pattern.
    `method` - Method name or pattern.
    `params` - List of primitive types, fully qualified class names or pattern. Null or empty list, if no parameters are required.
    `exceptions` - List of exceptions or pattern. Null or empty list, if no exceptions are required.
  Returns:
    A signature which has been generated from the inputs.
  Throws:
    `InvalidPatternException` - If any of the mandatory parameters is null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net